/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icomoon\'">' + entity + '</span>' + html;
	}
	var icons = {
			'adjuster-icons_text-cursor-typing' : '&#xe000;',
			'adjuster-icons_text-cusor' : '&#xe001;',
			'adjuster-icons_contrast' : '&#xe002;',
			'adjuster-icons_size' : '&#xe003;',
			'adjuster-icons_speak' : '&#xe004;',
			'adjuster-icons_key' : '&#xe005;',
			'adjuster-icons_hand' : '&#xe006;',
			'adjuster-icons_cursor' : '&#xe007;',
			'adjuster-icons_wrench' : '&#xe008;',
			'adjuster-icons_check' : '&#xe009;',
			'adjuster-icons_star' : '&#xe00a;',
			'adjuster-icons_gear' : '&#xe00b;',
			'adjuster-icons_undo' : '&#xe00c;',
			'adjuster-icons_arrow' : '&#xe00d;',
			'adjuster-icons_volume' : '&#xe00e;',
			'adjuster-icons_crosshair' : '&#xe00f;',
			'adjuster-icons_language' : '&#xe010;',
			'adjuster-icons_orientation-0' : '&#xe011;',
			'adjuster-icons_orientation-120' : '&#xe012;',
			'adjuster-icons_orientation-90' : '&#xe013;',
			'adjuster-icons_orientation-270' : '&#xe014;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};